/* ----------------------------- */
/* ----- Template Styling ------ */
/* ----------------------------- */

html.no-scroll,
body.no-scroll {
    overflow: hidden;
    overscroll-behavior: none;
}

body {
    background-color: var(--tpl-body-background-color);
    background-image: var(--tpl-body-file);
    background-size: cover;
    image-rendering: -webkit-optimize-contrast;
    image-rendering: crisp-edges;
    background-position: center;
    background-repeat: no-repeat;
}

fieldset * {
    padding: 0.25em 0 !important;
}

.form-check .form-check-input {
    margin-left: 0 !important;
    margin-right: 1em;
}

.form-check-label {
    padding: 0 !important;
}

.form-control {
    padding: 1em !important;
}

legend {
    display: none;
}

::-webkit-scrollbar {
    width: var(--tpl-scrollbar-width);
}

::-webkit-scrollbar-track {
    background: var(--tpl-scrollbar-background-color);
}

::-webkit-scrollbar-thumb {
    background: var(--tpl-scrollbar-color);
    border-radius: var(--tpl-scrollbar-border-radius);
}

::-webkit-scrollbar-thumb:hover {
    background: var(--tpl-scrollbar-hover-color);
}

.site-container-shadow {
    box-shadow: var(--tpl-site-box-shadow);
}

.site-container {
    width: var(--tpl-site-width);
    padding-top: var(--tpl-site-padding-top);
    padding-bottom: var(--tpl-site-padding-bottom);
    max-width: 100%;
    margin-inline: auto;
}

a {
    color: var(--tpl-link-color);
}

a:hover {
    color: var(--tpl-link-hover-color);
}

.social {
    display: flex;
    flex-direction: column;
    position: fixed;
    top: 40%;
    width: fit-content;
    padding: 1em 0.5em;
    gap: 0.5em;
    z-index: 100;
    background-color: var(--tpl-background-color-social-bar);
    cursor: pointer;
    left: var(--tpl-socialbar-left-hidden) !important;
    right: var(--tpl-socialbar-right-hidden) !important;
    border-top-left-radius: var(--tpl-socialbar-border-radius-tl);
    border-top-right-radius: var(--tpl-socialbar-border-radius-tr);
    border-bottom-left-radius: var(--tpl-socialbar-border-radius-bl);
    border-bottom-right-radius: var(--tpl-socialbar-border-radius-br);
    transition: right 1s, left 1s;
}

.social.show {
    border-top-left-radius: var(--tpl-socialbar-border-radius-tl);
    border-top-right-radius: var(--tpl-socialbar-border-radius-tr);
    border-bottom-left-radius: var(--tpl-socialbar-border-radius-bl);
    border-bottom-right-radius: var(--tpl-socialbar-border-radius-br);
    right: var(--tpl-socialbar-right) !important;
    left: var(--tpl-socialbar-left) !important;
}

.social a{
    color: var(--tpl-icon-color) !important;
}

.social a:hover {
    color: var(--tpl-icon-hover-color) !important;
}

/* ----------------------------- */
/* ---------- Header ----------- */
/* ----------------------------- */

.header-wrap {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: var(--tpl-padding);
    background-color: var(--tpl-background-color-header);
    z-index: 10;
    transition: box-shadow 0.3s ease, padding 0.6s ease;
    backdrop-filter: none;
    background-image: var(--tpl-menu-file);
    background-size: cover;
    image-rendering: -webkit-optimize-contrast;
    image-rendering: crisp-edges;
    background-position: center;
    background-repeat: no-repeat;
}

.header-size {
    display: flex;
    justify-content: center;
    align-items: center;
    width: var(--tpl-menu-width);
}

.header-wrap.is-scrolled {
    box-shadow: var(--tpl-header-box-shadow);
    padding: var(--tpl-header-padding);
}

.brand-logo {
    display: flex;
    align-items: center;
    list-style: none;
    text-decoration: none;
    color: var(--tpl-font-color-title);
    font-family: var(--tpl-font-title), Verdana, sans-serif;
    font-weight: var(--tpl-title-weight);
    transform: scale(1);
    transform-origin: center left;
    transition: transform 0.3s ease;
    will-change: transform;
}

.logo-left .brand-logo {
    font-size: var(--tpl-logo-left-size);
    line-height: 1;
}

.logo-left .brand-logo:hover {
    color: var(--tpl-font-color-title);
}

.logo-left .brand-logo:has(img) {
    font-size: initial;
}

.logo-left .brand-logo img {
    width: var(--tpl-logo-left-size);
    height: auto;
    display: block;
}

.brand-logo.zoom {
    transform: var(--tpl-header-zoom);
}

.logo-right a img {
    width: var(--tpl-logo-right-size);
    height: auto;
}

.header-left {
    display: flex;
    margin-left: 0;
    padding: 0 var(--tpl-padding);
}

.header-right {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto auto;
    margin-left: auto;
    align-items: flex-end;
    padding: 0 var(--tpl-padding);
    gap: 0.5em;
}

.search {
    display: flex;
    align-items: center;
}

.contact-top--animated {
    animation: contactBannerAnimation 8s linear infinite;
}

@keyframes contactBannerAnimation {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(100%);
    }
}

.contact-top {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    white-space: nowrap;
    color: var(--tpl-font-color-menu);
    font-family: var(--tpl-font-menu), Verdana, sans-serif;
    transform: scale(1);
    transform-origin: center right;
    transition: transform 0.3s ease;
    will-change: transform;
}

.contact-top.zoom {
    transform: var(--tpl-header-zoom);
}

.menu-wrap {
    display: flex;
    justify-content: flex-end;
    gap: var(--tpl-margin);
}

.menu-top,
.menu,
.menu-bottom {
    display: flex;
    width: 100%;
    font-weight: var(--tpl-navigation-weight);
    font-family: var(--tpl-font-menu), Verdana, sans-serif;
}

.menu-bottom {
    padding-top: var(--tpl-padding);
}

.menu-top {
    padding-bottom: var(--tpl-padding);
}

.menu-top > ul,
.menu > ul,
.menu-bottom > ul,
.menu > span {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 0.5em 2em;
}

.menu-top ul  {
    justify-content: flex-start;
}

.menu ul {
    justify-content: flex-end;
}

.menu-top li,
.menu li,
.menu-bottom li,
.menu span {
    list-style: none;
    flex: 0 1 auto;
}

.menu-top > a,
.menu > a,
.menu-bottom > a,
.menu span {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    text-decoration: none;
    white-space: normal;
    text-align: center;
    padding: 0.75em;
    color: var(--tpl-font-color-menu);
    background-color: var(--tpl-background-color-menu);
    border-radius: var(--tpl-border-radius);
}

.menu-top a,
.menu a,
.menu-bottom a {
    text-decoration: none;
    padding: 0.75em;
    color: var(--tpl-font-color-menu);
    background-color: var(--tpl-background-color-menu);
    border-radius: var(--tpl-border-radius);
    font-size: var(--tpl-menu-font-size) !important;

}

.menu-top a:hover,
.menu a:hover,
.menu-bottom a:hover,
.menu span:hover {
    color: var(--tpl-hover-font-color-menu) !important;
    background-color: var(--tpl-hover-background-color-menu) !important;
    text-decoration: var(--tpl-menu-underline) !important;
    text-underline-offset: var(--tpl-menu-underline-offset) !important;
}

.options {
    display: flex;
    gap: 1em;
    align-items: center;
    font-family: var(--tpl-font-menu), Verdana, sans-serif;
}

.separation-line {
    font-size: 2em;
    color: var(--tpl-font-size-button-color);
}

.dark-mode-button {
    border-radius: 50%;
    width: 2em;
    height: 2em;
    background: transparent;
    cursor: pointer;
    position: relative;
    border: none;
    padding: 0;
}

.dark-mode-button::before {
    content: "";
    position: absolute;
    inset: 3px;
    border-radius: 50%;
    background: linear-gradient(to right, var(--tpl-button-color-left) 50%, var(--tpl-button-color-right) 50%);
    transform: rotate(0deg);
    transition: transform 1.2s ease;
}

:root.dark-mode .dark-mode-button::before {
    transform: rotate(180deg);
}

.font-size {
    display: flex;
    flex-direction: row;
    align-items: baseline;
}

.font-size-button-small,
.font-size-button-medium,
.font-size-button-large {
    border: none;
    font-weight: bold;
    color: var(--tpl-font-size-button-color);
    background-color: transparent !important;
}

.font-size-button-small:hover,
.font-size-button-medium:hover,
.font-size-button-large:hover {
    color: var(--tpl-font-size-button-hover-color) !important;
}

.font-size-button-small {
    font-size: 1em !important;

}

.font-size-button-medium {
    font-size: 1.5em !important;
}

.font-size-button-large {
    font-size: 2em !important;
}

/* ----------------------------- */
/* ----------- Hero ------------ */
/* ----------------------------- */

.welcome {
    font-weight: var(--tpl-welcome-weight);
    box-shadow: var(--tpl-content-box-shadow);
    opacity: var(--tpl-welcome-opacity);
}

/* ----------------------------- */
/* ---------- Content ---------- */
/* ----------------------------- */

.content-wrap {
    display: grid;
    grid-template-columns: var(--tpl-sidebar-width) 1fr var(--tpl-sidebar-width);
    grid-template-rows: auto;
    align-items: flex-start;
}

.content-wrap.sidebar-both {
    grid-template-columns: var(--tpl-sidebar-width) 1fr var(--tpl-sidebar-width);
}

.content-wrap.no-sidebar {
    grid-template-columns: 1fr;
}

.content-wrap.sidebar-left-only {
    grid-template-columns: var(--tpl-sidebar-width) 1fr;
}

.content-wrap.sidebar-right-only {
    grid-template-columns: 1fr var(--tpl-sidebar-width);
}

.main-content {
    margin: 0;
}

.com--content-outer {
    background-color: var(--tpl-background-color-content-outer);
}

.com--content-outer,
.component-top-outer,
.component-bottom-outer {
    position: relative;
    padding: var(--tpl-padding) 0 !important;
    z-index: 0;
}

.com--content-outer::before,
.component-top-outer::before,
.component-bottom-outer::before {
    content: "";
    position: absolute;
    width: var(--tpl-site-width);
    z-index: -1;
}

.com--content-outer::before {
    background-color: var(--tpl-background-color-content-outer);
}

.component-top-outer::before {
    background-color: var(--tpl-background-color-component-top-outer);
}

.component-bottom-outer::before {
    background-color: var(--tpl-background-color-component-bottom-outer);
}

.component-top-outer {
    background-color: var(--tpl-background-color-component-top-outer);
}

.component-bottom-outer {
    background-color: var(--tpl-background-color-component-bottom-outer);
}

.com--content-outer {
    padding: var(--tpl-padding)  0 !important;
}

.com--content {
    position: relative;
    z-index: 1;
    background-color: var(--tpl-background-color-content);
    padding: var(--tpl-padding) !important;
    box-shadow: var(--tpl-content-box-shadow);
}

.component-top {
    background-color: var(--tpl-background-color-component-top);
    box-shadow: var(--tpl-component-top-box-shadow);
}

.component-bottom {
    background-color: var(--tpl-background-color-component-bottom);
    box-shadow: var(--tpl-component-bottom-box-shadow);
}

.com--content dl > * {
    color: var(--tpl-font-color-content-text);
}

.com--content dl > *,
.component-top dl > *,
.component-bottom dl > * {
    font-size: 0.75em;
}

.com--content img,
.sidebar-left img,
.sidebar-right img {
    max-width: 100%;
    margin: var(--tpl-margin) 0;
    height: auto;
    display: block;
    border-radius: var(--tpl-border-radius);
}

.com--content figure {
    margin: 0 !important;
}

.com--content h1,
.component-top h1,
.component-bottom h1 {
    color: var(--tpl-font-color-content-main-heading) !important;
    font-family: var(--tpl-font-content-main-heading), Verdana, sans-serif !important;
}

h2,
h3,
h4,
.com--content h2 > *,
.com--content h3 > *,
.com--content h4 > *,
.component-top h2 > *,
.component-top h3 > *,
.component-top h4 > *,
.component-bottom h2 > *,
.component-bottom h3 > *,
.component-bottom h4 > * {
    color: var(--tpl-font-color-content-sub-heading) !important;
    font-family: var(--tpl-font-content-sub-heading), Verdana, sans-serif !important;
}

.com--content p,
.com--content li,
.com--content ul,
.component-top p,
.component-top li,
.component-top ul,
.component-bottom p,
.component-bottom li,
.component-bottom ul {
    color: var(--tpl-font-color-content-text);
    font-family: var(--tpl-font-content-text), Verdana, sans-serif;
}

.com--content,
.component-top,
.component-bottom {
    margin: 0 auto;
    border-radius: var(--tpl-border-radius);
    font-weight: var(--tpl-text-weight);
    width: var(--tpl-component-width);
}

.component-top,
.component-bottom {
    margin-bottom: var(--tpl-margin);
}

.com--content span a,
.component-top span a,
.component-bottom span a {
    background-color: var(--tpl-button-color) !important;
    border: none;
    color: var(--tpl-button-color-text) !important;
    padding: calc(var(--tpl-padding) / 2);
}

.com--content span a:hover,
.component-top span a:hover,
.component-bottom span a:hover {
    background-color: var(--tpl-button-hover-color) !important;
}

.com--content span,
.component-top span,
.component-bottom span {
    gap: 0.5em !important;
}

.sidebar-left-position,
.sidebar-right-position {
    grid-column: 1;
    display: flex;
    align-self: flex-start;
    overflow: visible !important;
    margin: var(--tpl-margin);
    height: fit-content;
    border: 1px solid;
    border-color: var(--tpl-sidebar-border-color);
    border-radius: var(--tpl-border-radius);
    box-shadow: var(--tpl-content-box-shadow);
    position: var(--tpl-sidebar-sticky) !important;
    z-index: 2;
    top: var(--tpl-sidebar-top) !important;
}

.sidebar-left-position {
    background-color: var(--tpl-sidebar-background-color-left);
}

.sidebar-right-position {
    background-color: var(--tpl-sidebar-background-color-right);
}

.sidebar-left-outer,
.sidebar-right-outer {
    position: var(--tpl-sidebar-sticky) !important;
    top: calc(var(--tpl-sidebar-top) - var(--tpl-margin)) !important;
    height: 100%;
    background-color: white;
}

.sidebar-left-outer {
    background-color: var(--tpl-sidebar-background-color-left-outer);
}

.sidebar-right-outer {
    background-color: var(--tpl-sidebar-background-color-right-outer);
}

.sidebar-left,
.sidebar-right {
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    width: 100%;
}

.sidebar-left {
    color: var(--tpl-font-color-sidebar-left);
    font-weight: var(--tpl-sidebar-left-weight);

}

.sidebar-right {
    color:var(--tpl-font-color-sidebar-right);
    font-weight: var(--tpl-sidebar-right-weight);
}

.sidebar-left ul,
.sidebar-right ul {
    list-style: none;
    text-decoration: none;
    padding: var(--tpl-padding);
    display: flex;
    flex-direction: column;
    margin: 0;
    gap: 0.5em;
    justify-content: center;

}

.sidebar-left .moduletable > h3,
.sidebar-right .moduletable > h3 {
    text-align: center;
    border-bottom: 1px solid var(--tpl-sidebar-border-color);
    padding: 1em;
    border-top-left-radius: var(--tpl-border-radius);
    border-top-right-radius: var(--tpl-border-radius);
}

.sidebar-left .moduletable > h3 {
    background-color: var(--tpl-sidebar-background-color-left-heading);
}

.sidebar-right .moduletable > h3 {
    background-color: var(--tpl-sidebar-background-color-right-heading);
}

a.readmore,
a.btn.readmore,
.readmore a,
button:not(.font-size-button-small):not(.font-size-button-medium):not(.font-size-button-large):not(.burger-button):not(.dark-mode-button):not(.mobile-nav-close):not(.backToTop-button) {
    background-color: var(--tpl-button-color);
    color: var(--tpl-button-color-text);
    border-color: var(--tpl-button-color-border) !important;
    border-radius: var(--tpl-border-radius);
    text-decoration: none;
    list-style: none;
    border: none;
    padding: 0.75em;
    margin-bottom: var(--tpl-margin);
}

a.readmore:hover,
a.btn.readmore:hover,
.readmore a:hover,
button:not(.font-size-button-small):not(.font-size-button-medium):not(.font-size-button-large):not(.burger-button):not(.dark-mode-button):not(.mobile-nav-close):not(.backToTop-button):hover {
    background-color: var(--tpl-button-hover-color) !important;
}

/* ----------------------------- */
/* ---------- Footer ----------- */
/* ----------------------------- */

.footer-wrap {
    width: 100%;
    padding: var(--tpl-padding);
    background-color: var(--tpl-background-color-footer);
    color: var(--tpl-font-color-footer);
    font-family: var(--tpl-font-footer), Verdana, sans-serif;
    font-weight: var(--tpl-footer-weight);
    z-index: 20;
    background-image: var(--tpl-footer-file);
    background-size: cover;
    image-rendering: -webkit-optimize-contrast;
    image-rendering: crisp-edges;
    background-position: center;
    background-repeat: no-repeat;
}

.footer-modules {
    display: flex;
    width: var(--tpl-footer-width);
    justify-content: space-between;
    gap: var(--tpl-margin);
    margin: 0 var(--tpl-margin);
}


.footer-modules ul,
.footer-modules li {
    list-style: none !important;
}

.footer-col {
    min-width: 200px;
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    padding: var(--tpl-padding);
    gap: var(--tpl-padding);
}

.footer-col--a {flex: 1 1 var(--tpl-footer-width-a); }
.footer-col--b {flex: 1 1 var(--tpl-footer-width-b); }
.footer-col--c {flex: 1 1 var(--tpl-footer-width-c); }
.footer-col--d {flex: 1 1 var(--tpl-footer-width-d); }

.footer-col ul,
.footer-col .moduletable,
.footer-col a {
    display: block;
    text-decoration: none;
    color: var(--tpl-font-color-footer);
    padding-bottom: calc(var(--tpl-padding) * 0.5);
}

.footer-col ul {
    padding: 0;
}

.footer-col a:hover {
    color: var(--tpl-link-hover-color);
}

.footer-col h4,
.footer-col p {
    display: flex;
    overflow-wrap: break-word;
    color: var(--tpl-font-color-footer);
}

.footer-breadcrumbs > *{
    display: flex;
    justify-content: center;
    color: var(--tpl-font-color-footer);
    margin: var(--tpl-margin);
    padding: 0 var(--tpl-padding);
}

/* ----------------------------- */
/* --------- BackToTop --------- */
/* ----------------------------- */

.backToTop-button {
    position: fixed;
    right: 0.5em;
    bottom: -100%;
    width: 1.5em;
    height: 1.5em;
    border-radius: 50%;
    border: none;
    outline: none;
    cursor: pointer;
    font-size: 2em;
    background-color: var(--tpl-scroll-to-top-button-background-color);
    color: var(--tpl-scroll-to-top-button-color);
    box-shadow: 0 3px 6px rgba(0,0,0,0.3);
    display: flex;
    justify-content: center;
    align-items: center;
    transition: bottom 0.6s ease;
    z-index: 9998;
}

.backToTop-button:hover {
    background-color: var(--tpl-scroll-to-top-button-hover-background-color);
    color: var(--tpl-scroll-to-top-button-hover-color);
}

.backToTop-button.show {
    bottom: 2em;
}

/* ----------------------------- */
/* -------- Transitions -------- */
/* ----------------------------- */

a,
span,
button,
.menu-top a,
.menu a,
.menu-bottom a,
.separation-line,
.font-size-button-small,
.font-size-button-medium,
.font-size-button-large,
.backToTop-button,
.welcome,
.com--content,
.component-top,
.component-bottom,
.com--content-outer,
.component-top-outer,
.component-bottom-outer,
.content-wrap,
.sidebar-left-position,
.sidebar-right-position,
.sidebar-left a,
.sidebar-right a,
.sidebar-left .moduletable,
.sidebar-right .moduletable,
.sidebar-left .moduletable > h3,
.sidebar-right .moduletable > h3,
a.readmore,
a.btn.readmore,
.readmore a,
.footer-wrap {
    transition: background-color .4s ease, color .4s ease, border-color .4s ease, bottom 0.6s ease;
}

/*----------------------*/
/*---- Mobile View -----*/
/*----------------------*/

.mobile-menu,
.mobile-nav,
.mobile-nav-close,
.mobile-overlay {
    display: none;
}

.mobile-nav-bottom {
    border-top: 1px solid var(--tpl-mobile-primary-line-color);
    width: 100%;
    bottom: 0;
    margin-top: auto;
}

/*----------------------*/
/*--- Media Queries ---*/
/*----------------------*/

@media (max-width: 1600px) {
    .site-container {
        width: 100% !important;
        padding-top: 0 !important;
        padding-bottom: 0 !important;
        border-radius: 0 !important;
    }

    .site-container-shadow {
        box-shadow: none !important;
    }

    .content-wrap {
        display: grid;
        grid-template-columns: 1fr !important;
        grid-auto-rows:  auto;
        align-items: flex-start;
    }

    .main-content {
        grid-column: 1;
        grid-row: 1;
    }

    .sidebar-left-outer,
    .sidebar-right-outer {
        display: flex;
        justify-content: center;
        align-items: center;
        grid-column: 1;
        grid-row: 2;
        width: 100% !important;
    }

    .sidebar-left-position,
    .sidebar-right-position {
        margin-left: calc(var(--tpl-padding) + var(--tpl-margin)) !important;
        border: none;
        border-radius: var(--tpl-border-radius);
    }

    .sidebar-right,
    .sidebar-left{
        border-radius: var(--tpl-border-radius);
    }

    .sidebar-left .moduletable > h3,
    .sidebar-right .moduletable > h3 {
        border-bottom: none;
        padding: 1em 0 0 0 !important;
    }

    .sidebar-left-outer {
        grid-column: 1;
        grid-row: 2;
        border: none;
        margin: 0 auto;
    }

    .sidebar-right-outer {
        grid-column: 1;
        grid-row: 3;
        border: none;
        margin: 0 auto;
    }

    .sidebar-left,
    .sidebar-right {
        border-radius: 0 !important;
    }

    .sidebar-left-position,
    .sidebar-right-position,
    .sidebar-left-outer,
    .sidebar-right-outer {
        border-radius: 0 !important;
        position: static !important;
        margin: 0 !important;
        box-shadow: none !important;
    }

    .header-wrap {
        position: relative;
    }

    .header-size {
        width: 100%;
    }

    .header-right .options {
        display: none !important;
    }

    .logo-right a img {
        width: 0;
    }

    .mobile-overlay {
        display: none;
        position: fixed;
        inset: 0;
        background-color: rgba(0, 0, 0, 0.5);
        z-index: 499;
        justify-content: center;
        align-items: center;
    }

    body.nav-open .mobile-overlay {
        display: flex;
    }

    .mobile-menu {
        display: block;
        z-index: 500;
    }

    .header-right {
        background-color: transparent;
        display: flex;
        align-items: center;
    }

    .burger-button {
        border: none;
        font-size: 5em;
        font-weight: normal;
        background-color: transparent;
        color: var(--tpl-color-burger-button);
        padding: 0 !important;
    }

    .mobile-nav {
        display: flex;
        flex-direction: column;
        position: fixed;
        top: 0;
        right: 0;
        height: 100dvh;
        width: 40vw;
        z-index: 9999;
        transform: translate3d(100%, 0, 0);
        transition: transform 0.6s ease;
        will-change: transform;
        background-color: var(--tpl-background-color-mobile-menu);

        overflow-y: auto;
        overflow-x: hidden;
        -webkit-overflow-scrolling: touch;
        overscroll-behavior: contain;
        -ms-overflow-style: none;
        scrollbar-width: none;
    }

    .mobile-nav::-webkit-scrollbar {
        display: none;
    }

    .mobile-nav-heading-outer {
        border-bottom: 1px solid var(--tpl-mobile-primary-line-color);
        position: relative;
        padding-right: var(--tpl-mobile-padding);
        background-color: var(--tpl-background-color-mobile-heading-menu);
    }

    .mobile-nav-heading {
        padding: var(--tpl-mobile-padding);
        font-size: var(--tpl-mobile-heading-font-size);
        color: var(--tpl-font-color-heading-mobile-menu);
    }

    .mobile-nav-heading img {
        width: calc(0.5 * var(--tpl-logo-left-size)) !important;
        height: auto;
    }

    .mobile-section {
        padding: var(--tpl-mobile-padding);
    }

    .mobile-section a {
        display: flex;
        padding: var(--tpl-mobile-padding);
        text-decoration: none;
        color: var(--tpl-font-color-text-mobile-menu);
    }

    .mobile-section.mobile-search {
        padding: var(--tpl-mobile-padding);
    }

    .mobile-section a,
    .mobile-section.mobile-search input,
    .mobile-section.mobile-contact .moduletable {
        font-size: var(--tpl-mobile-text-font-size) !important;
        color: var(--tpl-font-color-text-mobile-menu);
    }

    .mobile-section.mobile-options {
        display: flex;
        bottom: 0;
        gap: 1em;
        align-items: center;
        justify-content: center;
        padding: 0.5em 0 !important;
    }

    .font-size-button-small,
    .font-size-button-medium,
    .font-size-button-large,
    .separation-line {
        color: var(--tpl-font-color-text-mobile-menu) ;
    }

    .font-size-button-small {
        font-size: var(--tpl-mobile-heading-font-size);
    }

    .font-size-button-medium {
        font-size: calc(1.25 * var(--tpl-mobile-heading-font-size));
    }

    .font-size-button-large {
        font-size: calc(1.5 * var(--tpl-mobile-heading-font-size));
    }

    .com--content h1,
    .component-top h1,
    .component-bottom h1 {
        font-size: var(--tpl-mobile-heading-font-size) !important;
    }

    .com--content p,
    .com--content li,
    .com--content ul,
    .component-top p,
    .component-top li,
    .component-top ul,
    .component-bottom p,
    .component-bottom li,
    .component-bottom ul {
        font-size: var(--tpl-mobile-text-font-size) !important;
    }

    .dark-mode-button {
        width: 2.5em;
        height: 2.5em;
        background: transparent;
    }

    .contact-top {
        display: none !important;
    }

    .mobile-section.mobile-contact-top ul,
    .mobile-section.mobile-contact-top div,
    .mobile-section.mobile-contact-top p,
    .mobile-section-mobile-contact-top .moduletable {
        margin: 0 auto;
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;
        color: var(--tpl-font-color-text-mobile-menu);
    }

    body.nav-open .mobile-nav {
        transform: translate3d(0, 0, 0);
    }

    html.nav-open,
    body.nav-open {
        overflow: hidden !important;
        position: fixed;
        width: 100%;
        height: 100%;
        touch-action: none;
    }

    body.nav-open .mobile-overlay {
        opacity: 1;
        pointer-events: auto;
    }

    .mobile-nav ul {
        display: flex;
        flex-direction: column;
    }

    .menu,
    .menu-top,
    .menu-bottom,
    .search {
        display: none !important;
    }

    .content-wrap {
        display: grid;
        grid-template-columns: 1fr;
        grid-auto-rows: auto;
    }

    .main-content {
        grid-column: 1;
        grid-row: 1;
        margin: 0 !important;
    }

    .com--content-outer,
    .component-top-outer,
    .component-bottom-outer {
        padding: 0 !important;
        margin:  0 !important;
    }

    .com--content,
    .component-top,
    .component-bottom {
        border-radius: 0 !important;
        box-shadow: none !important;
    }
}

@media (max-width: 992px) {
    .header-right {
        padding: 0 !important;
    }

    .footer-modules {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 0;
        padding: 0;
    }


    .contact-top,
    .component-heading,
    .sidebar-left .moduletable > h3,
    .sidebar-right .moduletable > h3 {
        font-size: var(--tpl-mobile-heading-font-size);
    }

    .com--content ul,
    .com--content li,
    .component-bottom ul,
    .component-bottom li,
    .com--content p,
    .component-top p,
    .component-bottom p,
    .sidebar-left ul,
    .sidebar-right ul {
        font-size: var(--tpl-mobile-text-font-size);
    }

    .com--content-outer,
    .component-top-outer,
    .component-bottom-outer {
        padding: 0 !important;
    }

    .com--content,
    .component-top,
    .component-bottom {
        padding: 0;
        box-shadow: none !important;
    }

    .sidebar-left-position,
    .sidebar-right-position {
        box-shadow: none !important;
    }

}

@media (max-width: 768px) {
    .header-left {
        padding: 0 !important;
    }
    .mobile-nav {
        width: 100vw;
    }

    .mobile-nav-close {
        background: transparent;
        border: none;
        cursor: pointer;
        font-size: 2.5em;
        position: absolute;
        display: flex;
        justify-content: center;
        align-items: center;
        top: 0.25em;
        right: 0.5em;
        padding: 0;
        color: var(--tpl-color-nav-close);
    }
}

@media (max-width: 600px) {
    .header-wrap {
        padding: 0 !important;
    }

    .logo-left a img {
        width: calc(0.75 * var(--tpl-logo-left-size)) !important;
        height: auto;
        margin: var(--tpl-mobile-margin) 0;
    }

    .mobile-nav-heading img {
        width: calc(0.35 * var(--tpl-logo-left-size)) !important;
        height: auto;
    }

    .mobile-nav-heading {
        font-size: var(--tpl-mobile-heading-font-size);
    }

    .header-left {
        padding-left: var(--tpl-mobile-padding) !important
    }

    .logo-left .brand-logo {
        font-size: calc(var(--tpl-mobile-heading-font-size) * 2);
        line-height: 1;
    }

    .com--content {
        padding: var(--tpl-mobile-padding) !important;
    }

    .burger-button {
        font-size: 4em;
    }

    .header-right {
        padding: var(--tpl-mobile-padding) !important;
    }

    .mobile-nav-heading {
        padding: var(--tpl-mobile-padding);
    }

    .footer-modules {
        display: flex;
        flex-direction: column;
        justify-content: center;
        margin: 0 !important;
    }

    .footer-col {
        padding: var(--tpl-mobile-padding) 0 !important;
    }

    .footer-breadcrumbs > * {
        margin-top: var(--tpl-margin);
        gap: var(--tpl-mobile-padding);
        text-align: center !important;
        justify-content: center;
        align-items: center;
        flex-direction: column;
    }
}

@media (max-width: 400px) {
    .mobile-nav-heading-outer {
        padding: var(--tpl-mobile-padding) !important;
    }

    .mobile-nav-heading {
        padding: 0 0.5em !important;
    }

    .mobile-section a,
    .mobile-section.mobile-search input,
    .mobile-section.mobile-contact-top .moduletable {
        font-size: var(--tpl-mobile-text-font-size) !important
    }
}

@media (max-width: 768px) {
    html,
    body,
    .main-content {
        max-width: 100%;
        overflow-x: hidden;
    }

    .com--content,
    .component-top,
    .component-bottom {
        width: 90%;
    }
}

/* ----------------------------- */
/* --------- Overrides --------- */
/* ----------------------------- */

.mod-articles-items.mod-list.custom {
    display: grid;
    grid-template-columns: repeat(4, minmax(0, 1fr));
    grid-auto-rows: auto;
    list-style: none;
    padding: 0;
    gap: var(--tpl-margin);
}

.mod-articles-items.mod-list.custom .mod-articles-item-bg {
    position: absolute;
    inset: 0;
    z-index: 0;
}

.mod-articles-items.mod-list.custom .mod-articles-item {
    position: relative;
    overflow: hidden;
    border-radius: var(--tpl-border-radius);
    min-height: 400px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    box-shadow: var(--tpl-content-box-shadow);

}

.mod-articles-items.mod-list.custom .mod-articles-item h1 > a,
.mod-articles-items.mod-list.custom .mod-articles-item h2 > a,
.mod-articles-items.mod-list.custom .mod-articles-item h3 > a,
.mod-articles-items.mod-list.custom .mod-articles-item h4 > a{
    color: white !important;
}

.mod-articles-items.mod-list.custom .mod-articles-item:hover h1 > a,
.mod-articles-items.mod-list.custom .mod-articles-item:hover h2 > a,
.mod-articles-items.mod-list.custom .mod-articles-item:hover h3 > a,
.mod-articles-items.mod-list.custom .mod-articles-item:hover h4 > a {
    color: white !important;
}

.mod-articles-items.mod-list.custom .mod-articles-item-bg img,
.mod-articles-items.mod-list.custom .mod-articles-item-bg figure {
    width: 100%;
    height: 100%;
    margin: 0;
    display: block;
    object-fit: cover;
    filter: blur(2px);
}

.mod-articles-items.mod-list.custom .mod-articles-item-content {
    position: relative;
    z-index: 1;
    padding: var(--tpl-padding);
    margin: var(--tpl-margin);
    color: white;
    background-color: rgb(255, 255, 255);
    background-color: rgba(255, 255, 255, 0.3);
    border-radius: var(--tpl-border-radius);
}

.mod-articles-items.mod-list.custom .mod-articles-title a {
    color: inherit;
    text-decoration: none;
}

.mod-articles-items.mod-list.custom .mod-articles-item-content a {
    margin-bottom: 0 !important;
}

@media (max-width: 1400px) {
    .mod-articles-items.mod-list.custom {
        grid-template-columns: repeat(2, minmax(0, 1fr)) !important;
    }
}

@media (max-width: 600px) {
    .mod-articles-items.mod-list.custom {
        grid-template-columns: minmax(0, 1fr) !important;
        gap: 2em;
    }

    .mod-articles-items.mod-list.custom .mod-articles-item {
        min-height: 300px;
    }
}

/* Left - Right Override */
.mod-articles-items.left-right {
    display: flex;
    flex-direction: column;
    list-style: none;
    padding: 0;
    gap: var(--tpl-margin);
}

.mod-articles-items.mod-list.left-right .mod-articles-item {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr;
    box-shadow: var(--tpl-content-box-shadow);
    border-radius: var(--tpl-border-radius);
    gap: var(--tpl-margin);
    position: relative;
    overflow: hidden;
    width: 100%;
    align-items: center;
    justify-content: center;
    text-align: left;
}

.mod-articles-items.mod-list.left-right .mod-articles-item-bg {
    position: relative;
    grid-column: 2;
    grid-row: 1;
    height: 100%;
}

.mod-articles-items.mod-list.left-right .mod-articles-item-bg img,
.mod-articles-items.mod-list.left-right .mod-articles-item-bg figure {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    margin-bottom: 0;
}

.mod-articles-items.mod-list.left-right .mod-articles-item-content {
    position: relative;
    z-index: 1;
    padding: var(--tpl-padding);
    margin: 0;
    grid-column: 1;
    grid-row: 1;
    border-radius: var(--tpl-border-radius);
}

.mod-articles-items.mod-list.left-right > *:nth-child(even) .mod-articles-item-bg {
    grid-column: 1 !important;
}

.mod-articles-items.mod-list.left-right > *:nth-child(even) .mod-articles-item-content {
    grid-column: 2 !important;
}

@media (max-width: 1200px) {
    .mod-articles-items.mod-list.left-right .mod-articles-item {
        grid-template-columns: 1fr;
        grid-template-rows: auto auto;
        align-items: stretch;
        gap: 0;

    }

    .mod-articles-items.mod-list.left-right .mod-articles-item-bg {
        grid-column: 1 !important;
        grid-row: 1;
        height: 400px;
    }

    .mod-articles-items.mod-list.left-right .mod-articles-item-content {
        height: 100%;
        grid-row: 2;
        object-fit: cover;
    }

    .mod-articles-items.mod-list.left-right > *:nth-child(even) .mod-articles-item-content {
        grid-column: 1 !important;
    }
}

@media (max-width: 600px) {
    .mod-articles-items.mod-list.left-right .mod-articles-item-bg {
        height: 300px;
    }
}